EDIT - task #10094

Reenabel anttask for 001-cdm.h2.sql creation
07/19/2022 05:52 PM - Andreas Miller

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

Related issues:

Related to EDIT - task #6714: Create 001-cdm.h2.sql automatically Closed

Related to EDIT - task #6981: Migrate to Java 11 New 05/04/2022 05/13/2022
Related to EDIT - task #10104: Cleanup after hibernate v5.4.33 migration New

Related to EDIT - task #10067: Update to hibernate 5.4 (or higher) and hibern... Closed 05/23/2022 06/01/2022

Associated revisions

Revision 6eaa7820 - 07/19/2022 05:53 PM - Andreas Miiller

ref #10094 preliminary disable 001-cdm.h2.sqgl (maybe a javai1 issue in jenkins)

Revision cebc5b3a - 07/19/2022 05:57 PM - Andreas Miiller

ref #10094 preliminary disable 001-cdm.h2.sqgl (maybe a javai1 issue in jenkins) (cont.)

History

#1 - 07/19/2022 06:02 PM - Andreas Miuller

It had to be switched due to errors during build in jenkins.
Log:

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-antrun-plugin:3.0.0:run (generate-ddl-create) on
project cdmlib-test: An Ant BuildException has occured: java.lang.ExceptionInInitializerError

[ERROR] around Ant part ...<java fork="false" classname="eu.etaxonomy.cdm.test.unitils.DdlCreator" failonerror
="true" classpathref="maven.compile.classpath" />... @ 6:137 in /var/lib/jenkins/workspace/cdmlib—-INTEGRATION/
cdmlib-test/target/antrun/build-main.xml: No class provided, and an appropriate one cannot be found.

[ERROR] —-> [Help 1]

[ERROR]

[ERROR] To see the full stack trace of the errors, re-run Maven with the —-e switch.

[ERROR] Re-run Maven using the -X switch to enable full debug logging.

[ERROR]

#2 - 07/19/2022 06:08 PM - Andreas Miiller
- Related to task #6714: Create 001-cdm.h2.sql automatically added

#3 - 07/19/2022 06:31 PM - Andreas Miuller

This is on the log on the very beginning (after git fetch), however, it looks like it was there before already.

WARNING: LinkageError while performing UserRequest:hudson.maven.AbstractMavenProcessFactory$ConfigureOriginald
DK@6fffdc77
java.lang.UnsupportedClassVersionError: Failed to load hudson.maven.AbstractMavenProcessFactory$ConfigureOrigi
nalJDK

at hudson.remoting.RemoteClassLoader.loadClassFile (RemoteClassLoader.java:460)

at hudson.remoting.RemoteClassLoader.loadRemoteClass (RemoteClassLoader. java:292)

at hudson.remoting.RemoteClassLoader.loadWithMultiClassLoader (RemoteClassLoader.java:269)

at hudson.remoting.RemoteClassLoader.findClass (RemoteClassLoader. java:228)

at java.lang.ClassLoader.loadClass (ClassLoader.java:424)

at java.lang.ClassLoader.loadClass (ClassLoader.java:357)

at java.lang.Class.forNameO (Native Method)
at java.lang.Class.forName (Class.java:348)
at hudson.remoting.MultiClassLoaderSerializer$Input.resolveClass (MultiClassLoaderSerializer. java:132)
at java.io.ObjectInputStream.readNonProxyDesc (ObjectInputStream. java:1868)
at java.io.ObjectInputStream.readClassDesc (ObjectInputStream. java:1751)
at java.io.ObjectInputStream.readOrdinaryObject (ObjectInputStream. java:2042)
at java.io.ObjectInputStream.readObject0 (ObjectInputStream.java:1573)
at java.io.ObjectInputStream.readObject (ObjectInputStream. java:431)
at hudson.remoting.UserRequest.deserialize (UserRequest. java:289)
at hudson.remoting.UserRequest.perform(UserRequest. java:189)
at hudson.remoting.UserRequest.perform(UserRequest. java:54)
at hudson.remoting.Request$2.run (Request.java:376)
at hudson.remoting.InterceptingExecutorService.lambdaSwrap$0 (InterceptingExecutorService.java:78)
at java.util.concurrent.FutureTask.run (FutureTask. java:266)
at java.util.concurrent.ThreadPoolExecutor.runWorker (ThreadPoolExecutor. java:1149)
at java.util.concurrent.ThreadPoolExecutor$Worker.run (ThreadPoolExecutor. java:624)
at java.lang.Thread.run (Thread. java:748)
Caused by: java.lang.UnsupportedClassVersionError: Failed to load jenkins.security.MasterToSlaveCallable
at hudson.remoting.RemoteClassLoader.loadClassFile (RemoteClassLoader.java:460)
at hudson.remoting.RemoteClassLoader.loadRemoteClass (RemoteClassLoader.java:292)
at hudson.remoting.RemoteClassLoader.loadWithMultiClassLoader (RemoteClassLoader. java:269)
at hudson.remoting.RemoteClassLoader.findClass (RemoteClassLoader. java:228)
at java.lang.ClassLoader.loadClass (ClassLoader.java:424)
at java.lang.ClassLoader.loadClass (ClassLoader.java:357)
at java.lang.ClassLoader.defineClassl (Native Method)
at java.lang.ClassLoader.defineClass (ClassLoader. java:763)
at java.lang.ClassLoader.defineClass (ClassLoader. java:642)
at hudson.remoting.RemoteClassLoader.loadClassFile (RemoteClassLoader.java:458)
o 22 more
Caused by: java.lang.UnsupportedClassVersionError: jenkins/security/MasterToSlaveCallable has been compiled by
a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only re
cognizes class file versions up to 52.0
at java.lang.ClassLoader.defineClassl (Native Method)
at java.lang.ClassLoader.defineClass (ClassLoader.java:763)
at java.lang.ClassLoader.defineClass (ClassLoader. java:642)
at hudson.remoting.RemoteClassLoader.loadClassFile (RemoteClassLoader. java:458)
31 more

ERROR:
ERROR: Invalid project setup: Failed to load hudson.maven.AbstractMavenProcessFactory$ConfigureOriginalJDK
ERROR: [JENKINS-18403] [JENKINS-28294] JDK 'JDK 1.8' not supported to run Maven projects.

ERROR: Maven projects have to be launched with a Java version greater or equal to the minimum version required
by the controller.

ERROR: Use the Maven JDK Toolchains (plugin) to build your maven project with an older JDK.

ERROR: Retrying with agent Java and setting compile/test properties to point to /var/lib/jenkins/tools/hudson.

model.JDK/JDK_1.8.

ERROR:

#4 - 07/19/2022 08:02 PM - Andreas Miiller

- Related to task #9681: Open issues for improving person representation added

#5 - 07/19/2022 08:02 PM - Andreas Miiller

- Related to deleted (task #9681: Open issues for improving person representation)

#6 - 07/19/2022 08:02 PM - Andreas Miiller
- Related to task #6981: Migrate to Java 11 added

#7 - 07/29/2022 02:34 PM - Andreas Miiller
- Related to task #10104: Cleanup after hibernate v5.4.33 migration added

#8 - 07/29/2022 02:35 PM - Andreas Miiller
- Related to task #10067: Update to hibernate 5.4 (or higher) and hibernate search 5.11 and lucene 5.5 added

#9 - 07/29/2022 08:20 PM - Andreas Miiller

- Target version changed from Release 5.32 to Release 5.33

#10 - 08/02/2022 11:29 PM - Andreas Miiller

- Subject changed from Rennabel anttask for 001-cdm.h2.sql creation to Reenabel anttask for 001-cdm.h2.sql creation
#11 - 08/02/2022 11:35 PM - Andreas Miiller
- Priority changed from New to Priority14

#12 - 09/08/2022 12:26 PM - Andreas Miiller
- Tags set to 5.32-Remaining

- Target version changed from Release 5.33 to Release 5.45
